html {
    /* All anchor links will now stop 80px above the target */
    scroll-padding-top: 150px;
}

/* Helper
   ========================================================================== */

.lochaber-blur {
    backdrop-filter: blur(4px);
    box-shadow: 0 8px 32px rgba(0, 0, 0, 0.15), 0 2px 8px rgba(0, 0, 0, 0.10), inset 0 1px 0 rgba(255, 255, 255, 0.20);
}

.lochaber-big-btn {
    transition: background-color .15s ease-in-out;

    &:hover,
    &:focus-visible {
        background-color: var(--wp--preset--color--accent-2) !important;
    }
}

.lochaber-toc {
    position: sticky;
    z-index: 10;
    top: calc(0px + var(--wp-admin--admin-bar--height, 0px));

    & > div {
        overflow-x: auto;
    }

    & .lochaber-toc-btns {
        width: max-content;

        & .lochaber-toc-btn {
            transition: background-color .15s ease-in-out;

            &.lochaber-toc-btn-visible {
                background-color: var(--wp--preset--color--text-30) !important;
            }

            & :where(p, h1, h2, h3, h4, h5, h6) {
                transition: color .15s ease-in-out;
            }

            &:hover,
            &:focus-visible {
                background-color: var(--wp--preset--color--accent-2) !important;

                & :where(p, h1, h2, h3, h4, h5, h6) {
                    color: var(--wp--preset--color--white) !important;
                }
            }
        }
    }

    @media (max-width: 999px) or (max-height: 499px) {
        top: calc(59px + var(--wp-admin--admin-bar--height, 0px));
    }
}

/* Overrides
   ========================================================================== */

.wp-block-search__button-inside {
    border-radius: var(--wp--preset--border-radius--x-small);

    & .wp-block-search__inside-wrapper {
        background-color: rgba(0, 0, 0, 0.15);
        border: 1px solid color-mix(in srgb, currentColor 30%, transparent);
        border-radius: var(--wp--preset--border-radius--x-small);
        padding: 0 0 0 0.75rem;

        & input::placeholder {
            color: color-mix(in srgb, currentColor 80%, transparent);
        }

        & button {
            border-radius: calc(var(--wp--preset--border-radius--x-small) - 1px);
        }
    }
}

.wp-block-query .wp-block-group__sym-link {

    & h1, h2, h3, h4, h5, h6 {
        transition: color 0.15s ease-in-out;
    }

    &:hover,
    &:focus-visible {
        h1, h2, h3, h4, h5, h6 {
            color: var(--wp--preset--color--accent-2);
        }
    }
}

.yoast-breadcrumbs > span {
    font-size: var(--wp--preset--font-size--small) !important;
}

/* Liste des catégories
   ========================================================================== */

.wp-block-categories-list {
    display: flex;
    list-style: none;
    padding: unset;
    flex-wrap: wrap;
    gap: var(--wp--preset--spacing--x-small);

    & a {
        padding: 0.25rem var(--wp--preset--spacing--small);
        background: var(--wp--preset--color--text-15) !important;
        color: var(--wp--preset--color--text-100);
        border-radius: 100px;
        font-size: var(--wp--preset--font-size--small);
        font-weight: 500;
        transition: all 150ms ease-in-out !important;

        &:hover {
            background: var(--wp--preset--color--accent-2) !important;
            color: var(--wp--preset--color--white);
        }
    }
}

details.wp-block-details:has(.wp-block-query-no-results) {
    display: none;
}

/* Event calendar
   ========================================================================== */

.evge-month-calendar-wrap {
    background: rgba(0, 0, 0, 0.02);
    color: var(--wp--preset--color--text-90);
    border-radius: var(--wp--preset--border-radius--x-small);
}

.evge-event-card .evge-event-card-container,
.evge-calendar-narrow .evge-event-dot {
    background: var(--wp--preset--color--accent);

    &:hover {
        background: var(--wp--preset--color--accent-2);
    }
}

.evge-calendar-day.evge-today .evge-day-date {
    color: var(--wp--preset--color--accent);
    border-top: 2px solid var(--wp--preset--color--accent);
}

.evge-calendar-day {
    min-height: 120px;
}

.evge-event-list-cost,
.evge-about-detail-duration {
    display: none;
}

.evge-event-meta-row {
    padding: unset;
    margin: 0;
}

:root :where(.is-layout-flow) > h1, :root :where(.is-layout-flow) > h3 {
    margin-bottom: unset;
}

/* Cookie Yes
   ========================================================================== */

.cky-btn-accept {
    background: var(--wp--preset--color--tertiary) !important;
    border: 2px solid var(--wp--preset--color--tertiary) !important;
}

.cky-btn-customize, .cky-btn-reject, .cky-btn-preferences {
    color: var(--wp--preset--color--tertiary) !important;
    background: transparent !important;
    border: 2px solid var(--wp--preset--color--tertiary) !important;
}